using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("评价要求")]
    public class T_SK_IDENTIFY_EVALUATION_PLAN_EVALUATION : MesEntityBase
    {
        /// <summary>
        /// 辨识评估计划
        /// </summary>
        [Description("辨识评估计划")]
        [DataFieldForeignKey("Nav_Plan", "Nav_Evaluations")]
        public Guid IDENTIFY_EVALUATION_PLAN_ID { get; set; }

        /// <summary>
        /// 导航：辨识评估计划
        /// </summary>
        [Description("导航：辨识评估计划")]
        public virtual T_SK_IDENTIFY_EVALUATION_PLAN Nav_Plan { get; set; }

        [Description("评价要求")]
        [DataFieldForeignKey("Nav_Evaluation")]
        public Guid? EVALUATION_ID { get; set; }

        [Description("导航属性：评价要求")]
        public virtual T_SK_EVALUATION Nav_Evaluation { get; set; }
    }
}
